[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TObjectBucketList.Add

Add an object to the list

## Declaration

Source position: contnrs.pp line 594

`public function TObjectBucketList.Add(`
`AItem: TObject;`
`AData: TObject`
`):TObject;`

## Arguments

`AItem` |  | Item to add to the list
`AData` |  | Data associated with AItem

## Function result

The result is always AData

## Description

Add adds AItem to the list and associated AData with it.

## See also

TObjectBucketList.Data |  | Associative array of data items
TObjectBucketList.Remove |  | Remove an object from the list